package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;
import java.text.NumberFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ItemDesconto;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;

public class RenderItemDesconto implements ListitemRenderer {
	
	private static NumberFormat NF = DecimalFormat.getInstance(LocaleUtil.getLocale());
	
    public void render(Listitem lstm, Object o) throws Exception {
        ItemDesconto itemDesconto = (ItemDesconto) o;

        Listcell lc = new Listcell(itemDesconto.getItemdescontoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(itemDesconto.getNomitemdesconto() != null ? itemDesconto.getNomitemdesconto() : "");
        lc.setParent(lstm);

        NF.setMinimumFractionDigits(2);
        lc = new Listcell(itemDesconto.getPreco() != null ? NF.format(itemDesconto.getPreco()) : "0,00");
        lc.setParent(lstm);

        lstm.setAttribute("data", itemDesconto);
    }
}
